"""Exercise 6.5 Parking Lot.

Author: YOUR NAME
Version: THE DATE
"""


def best_fit(car, spots):
    """Return the best fitting parking spot for the car.

    Select the smallest legal spot. There must be at least two feet
    of space around all sides of the car when parked. In the case of
    ties, the spot with the larger index should be selected.

    Args:
        car (tuple): Dimensions of the car to park
        spots (list of tuples): The spots available

    Returns:
        int or None: the index of the best fitting spot
    """


if __name__ == "__main__":
    assert best_fit((3, 4), [(5, 5), (10, 12), (7, 8), (7, 9), (8, 8)]) == 2
    assert best_fit((3, 4), [(5, 5), (10, 12), (3, 4), (7, 9), (8, 8)]) == 3
    assert best_fit((3, 4), [(5, 5), (10, 12), (3, 4), (7, 9), (7, 9)]) == 4
    assert best_fit((9, 12), [(5, 5), (10, 12), (3, 4), (7, 9), (7, 9)]) is None
